Groovy 1.7.10

## org.codehaus.groovy.transform.powerassert
[Java] Class ValueRecorder

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.ValueRecorder

    public class ValueRecorder
    extends Object

Records values produced during evaluation of an assertion statement's truth expression.

Authors:
  Peter Niederwieser

Field Summary
`static String` | `CLEAR_METHOD_NAME`
`static String` | `RECORD_METHOD_NAME`

Method Summary
`void` | `clear()`
`List` | `getValues()`
`Object` | `record(Object value, int anchor)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### CLEAR_METHOD_NAME

    public static final String CLEAR_METHOD_NAME

### RECORD_METHOD_NAME

    public static final String RECORD_METHOD_NAME

Method Detail

### clear

    public void clear()

### getValues

    public List getValues()

### record

    public Object record(Object value, int anchor)

Copyright © 2003-2010 The Codehaus. All rights reserved.